> ## Documentation Index
> Fetch the complete documentation index at: https://developer.nomba.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch checkout transaction

> Fetch checkout transaction



## OpenAPI

````yaml get /v1/checkout/transaction
openapi: 3.0.1
info:
  description: ''
  title: Vendor API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.nomba.com
  - description: Sandbox
    url: https://sandbox.nomba.com
security: []
tags:
  - name: Authenticate
  - name: Accounts
  - name: Virtual Accounts
  - name: Online Checkout
  - name: Charge
  - name: Transfers
  - name: Direct Debits
  - name: Terminals
  - name: Transactions
  - name: Airtime and Data Vending
  - name: Electricity Vending
  - name: CableTV Subscription
  - name: Betting Vending
paths:
  /v1/checkout/transaction:
    get:
      tags:
        - Online Checkout
      summary: Fetch checkout transaction
      description: Fetch checkout transaction
      operationId: Fetch a checkout transaction
      parameters:
        - description: The parent accountId of the business.
          in: header
          name: accountId
          schema:
            type: string
            format: uuid
            example: 890022ce-bae0-45c1-9b9d-ee7872e6ca27
          required: true
        - description: >-
            Checkout id type to use for this query. Valid values are the
            'ORDER_REFERENCE', to use Order reference passed in when generating
            the checkout link, and 'ORDER_ID' to use the uuid value returned in
            the checkout link path.
          example: ORDER_ID
          in: query
          name: idType
          schema:
            type: string
            enum:
              - ORDER_ID
              - ORDER_REFERENCE
        - description: >-
            Checkout transaction id based on the value selected in the idType
            parameter
          example: 120022e-e6ca27-33ed-ee7872e6ca27
          in: query
          name: id
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: '00'
                    description: Response Code
                  description:
                    type: string
                    example: Success
                    description: response description
                  data:
                    $ref: '#/components/schemas/CheckoutTransaction'
          description: OK - your request was successful.
          headers:
            X-Rate-Limit-Limit:
              description: The number of allowed requests in the current period
              schema:
                type: string
                example: '40'
            X-Rate-Limit-Remaining:
              description: The number of remaining requests in the current period
              schema:
                type: string
                example: '39'
            X-Rate-Limit-Window:
              description: The specified rate limit window
              schema:
                type: string
                example: 1s
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestError'
          description: The request body sent by merchant did not pass the validation checks
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthenticationError'
          description: >-
            The access_token provided to access the resource is missing or
            invalid.
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthorizationError'
          description: The client does not have the permissions to access this resource
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecordNotFoundError'
          description: The record that the client is trying to access does not exist.
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitError'
          description: >-
            The client has maxed out the number of calls within a time period on
            this resource.
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServerError'
          description: Downstream system error.
      security:
        - BearerAuth: []
components:
  schemas:
    CheckoutTransaction:
      type: object
      properties:
        success:
          type: boolean
          description: >-
            True if the transaction is already completed and successful, false
            otherwise
          example: 'true'
        message:
          type: string
          description: Response message describing the transaction status
          example: success
        order:
          $ref: '#/components/schemas/OrderDetails'
        transactionDetails:
          $ref: '#/components/schemas/CheckoutTransactionDetails'
        transferDetails:
          $ref: '#/components/schemas/CheckoutTransferDetails'
        cardDetails:
          $ref: '#/components/schemas/CheckoutCardDetails'
    RequestError:
      type: object
      description: Request Error response.
      properties:
        code:
          type: string
          description: API error code.
          example: '400'
        description:
          type: string
          description: Additional details about the error.
          example: Request failed.
    AuthenticationError:
      type: object
      description: Authentication Error response.
      properties:
        code:
          type: string
          description: API error code.
          example: '401'
        description:
          type: string
          description: Additional details about the error.
          example: Unauthorized
    AuthorizationError:
      type: object
      description: Permissions error response.
      properties:
        code:
          type: string
          description: API error code.
          example: '403'
        description:
          type: string
          description: Additional details about the error.
          example: Forbidden
    RecordNotFoundError:
      type: object
      description: Record-Not-Found error response.
      properties:
        code:
          type: string
          description: API error code.
          example: '404'
        description:
          type: string
          description: Additional details about the error.
          example: Record not found
    RateLimitError:
      type: object
      description: Rate-limit error response.
      properties:
        code:
          type: string
          description: API error code.
          example: '429'
        description:
          type: string
          description: Additional details about the error.
          example: Too many requests
    ServerError:
      type: object
      description: Server error response.
      properties:
        code:
          type: string
          description: API error code.
          example: '500'
        description:
          type: string
          description: Additional details about the error.
          example: Server error
    OrderDetails:
      type: object
      properties:
        orderId:
          type: string
          description: Id generated by Nomba for the checkout order
          example: 56e03654-0c32-4d3e-bbd6-a9df22994a12
        orderReference:
          type: string
          description: Reference of the online checkout order to be created
          example: 90e81e8a-bc14-4ebf-89c0-57da752cca58
        customerId:
          type: string
          description: Customer id
          example: '762878332454'
        accountId:
          type: string
          description: The account Id whose wallet will be credited when the order is paid
          example: 56e03654-0c32-4d3e-bbd6-a9df22994a12
        callbackUrl:
          type: string
          description: Merchant callback url for redirect after payment
          example: https://ip:port/merchant.com/callback
        customerEmail:
          type: string
          description: Customer email
          example: abcde@gmail.com
        amount:
          type: number
          format: double
          description: Amount to pay
          example: '10000.00'
        currency:
          type: string
          description: Currency of the money
          enum:
            - NGN
          example: NGN
    CheckoutTransactionDetails:
      type: object
      properties:
        transactionDate:
          type: string
          format: date-time
          description: Date the transaction was created
          example: '2023-12-06T15:46:43.000Z'
        paymentReference:
          type: string
          description: The payment reference for the transaction
          example: '5844858382134'
        paymentVendorReference:
          type: string
          description: The payment reference returned by the payment gateway
          example: '5844858382675493'
        tokenizedCardPayment:
          type: boolean
          description: True if the payment was made by a tokenized card
          example: 'true'
        statusCode:
          type: string
          description: transaction status code returned by the payment gateway
          example: Payment approved
    CheckoutTransferDetails:
      type: object
      properties:
        sessionId:
          type: string
          description: Transfer sessionId
          example: '67584432178569543'
        beneficiaryAccountName:
          type: string
          description: The account name associated with the Merchants Nombank account
          example: Tope Fade
        beneficiaryAccountNumber:
          type: string
          description: The Flash account number, where the payment was made to
          example: '5844858382'
        originatorAccountName:
          type: string
          description: The name of the person making the transfer
          example: Femi Fash
        originatorAccountNumber:
          type: string
          description: Nuban account number of the person making the transfer
          example: '3409082834'
        narration:
          type: string
          description: The naration added by the customer when making the transfer
          example: Checkout payment
        destinationInstitutionCode:
          type: string
          description: Destination bank code
          example: 'true'
        paymentReference:
          type: string
          description: Transfer payment reference passed in from NIBSS for the transfer
          example: '44384586756'
    CheckoutCardDetails:
      type: object
      properties:
        cardPan:
          type: string
          description: The masked card pan
          example: 515123 **** **** 6667
        cardType:
          type: string
          description: The Card type
          example: Verve
        cardCurrency:
          type: string
          description: The card currency
          example: NGN
        cardBank:
          type: string
          description: Card Bank code
          example: '057'
  securitySchemes:
    BearerAuth:
      description: >-
        Nomba authenticates API calls with [OAuth2 HTTP bearer
        tokens](http://tools.ietf.org/html/rfc6750). There are two methods of
        authentication; [Client-Credentials
        method](https://www.rfc-editor.org/rfc/rfc6749) and [PKCE (Proof Key for
        Code Exchange)](https://www.rfc-editor.org/rfc/rfc7636) method. In each
        of the methods, You will get an `ACCESS_TOKEN`. You need to use an
        `"Authorization"` HTTP header to provide your `ACCESS_TOKEN`. For
        example: `Authorization: {ACCESS_TOKEN}`.
      scheme: bearer
      type: http
      bearerFormat: JWT

````